Bug 1284189 - Cinepaint crashes instantly on startup
Cinepaint crashes instantly on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 12:07 EST by Matthias
Modified: 2016-01-28 13:29 EST (History)
1 user (show)

See Also:
Fixed In Version: cinepaint-1.4-13.fc24 cinepaint-1.4-13.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:29:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias 2015-11-21 12:07:19 EST
Description of problem:
I have a new install of cinepaint. (dnf install cinepaint). At first startup it asks to create the ~/.cinepaint directory. After that it crashes. Every new attempt to start it results in a crash.


Version-Release number of selected component (if applicable):
cinepaint-1.4-11.fc23

How reproducible:
install and start cinepaint:


Steps to Reproduce:
1. As root install
2. dnf install cinepaint
3. As user try to start it:
4. cinepaint

Actual results:
Locale found in /usr/share/locale

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_string_width: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: _gdk_font_strlen: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_draw_text: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_string_width: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: _gdk_font_strlen: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_draw_text: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_string_width: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: _gdk_font_strlen: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_draw_text: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_string_width: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: _gdk_font_strlen: assertion 'font != NULL' failed

(cinepaint:22909): Gdk-CRITICAL **: IA__gdk_draw_text: assertion 'font != NULL' failed
Using new paths:
  /share/cinepaint/1.0-4/brushes
  (null)
  /share/cinepaint/1.0-4/palettes
  /share/cinepaint/1.0-4/gradients
  /lib/cinepaint/1.0-4/plug-ins
Suche Plugin: im Pfad: "/lib/cinepaint/1.0-4/plug-ins"
Zahl der Plug-ins = 0
cinepaint fatal error: sigsegv caught
cinepaint (pid:22909): [E]xit, [H]alt, show [S]tack trace or [P]roceed:

Expected results:
cinepaint should start

Additional info:
Comment 1 Matthias 2015-11-21 12:09:10 EST
System is set to german language:

LANG=de_DE.UTF-8
LANGUAGE=de
Comment 2 Jaromír Cápík 2015-11-23 07:49:11 EST
Hello Matthias.

I reproduced the issue here. Thanks for the report.
Comment 3 Jaromír Cápík 2016-01-18 10:42:23 EST
I had to disable the hardened build to avoid crashes.
Comment 4 Rex Dieter 2016-01-18 10:45:35 EST
If it helps any (not full -debuginfo but a start), here's an initial stack trace where it crashes for me:

$ rpm -q cinepaint
cinepaint-1.4-11.fc23.x86_64

$ cinepaint
...
Loading plug-in: /usr/lib64/cinepaint/1.0-4/plug-ins/pnm
Loading plug-in: /usr/lib64/cinepaint/1.0-4/plug-ins/compose
Loading plug-in: /usr/lib64/cinepaint/1.0-4/plug-ins/fits
Loading plug-in: /usr/lib64/cinepaint/1.0-4/plug-ins/spread
plugin count = 44
script-fu.c:115
/usr/lib64/cinepaint/1.0-4/plug-ins/script-fu
cinepaint fatal error: sigsegv caught
cinepaint (pid:27239): [E]xit, [H]alt, show [S]tack trace or [P]roceed: s  
#0  0x00007feac23eb3ba in waitpid () at /lib64/libc.so.6
#1  0x00007feac37ef9a3 in g_on_error_stack_trace () at /lib64/libglib-2.0.so.0
#2  0x00007feac37efb24 in g_on_error_query () at /lib64/libglib-2.0.so.0
#3  0x000055b87fbd09cc in fatal_error ()
#4  0x00007feac2357b20 in <signal handler called> () at /lib64/libc.so.6
#5  0x00007feac3b3cb66 in g_type_check_instance_is_a ()
#6  0x000055b87fc47743 in brush_select_new ()
#7  0x000055b87fbaf185 in create_brush_dialog ()
#8  0x000055b87fc0f4d5 in layout_restore ()
#9  0x000055b87fba6820 in gimp_init ()
#10 0x000055b87fc11848 in init ()
#11 0x000055b87fbfe101 in install_verify ()
#12 0x000055b87fba48d0 in main ()
Comment 5 Fedora Update System 2016-01-18 11:26:29 EST
cinepaint-1.4-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-43c80cdc76
Comment 6 Fedora Update System 2016-01-19 22:54:53 EST
cinepaint-1.4-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43c80cdc76
Comment 7 Fedora Update System 2016-01-28 13:29:15 EST
cinepaint-1.4-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.